ps = initialize(ThorlabsLTStage.FakePS_3D)
scope = initialize(TcpInstruments.FakeDSOX4034A)

scanner = IntensityScan(
    xyz = ps,
    scope = scope,
    channel = 1,
    precapture_delay = 0u"µs",
)

params = ScanParameters(
    medium = Medium(),
    excitation = Excitation(),
    f0 = 15e6,
    hydrophone_id = :Onda_HGL0200_2322,
    preamp_id = :Onda_AH2020_1238_20dB,
)

# acquired data
println("Performing fake scans")
wave_x = scan_x(scanner, [0u"mm", 10u"mm"], 5; verbose=false)
wave_y = scan_y(scanner, [20u"mm", 30u"mm"], 5; verbose=false)
wave_z = scan_z(scanner, [40u"mm", 50u"mm"], 5; verbose=false)

wave_xy = scan_xy(scanner, [0u"mm", 10u"mm"], 5, [20u"mm", 30u"mm"], 7; verbose=false)
wave_xz = scan_xz(scanner, [0u"mm", 10u"mm"], 5, [40u"mm", 50u"mm"], 7; verbose=false)
wave_yz = scan_yz(scanner, [20u"mm", 30u"mm"], 5, [40u"mm", 50u"mm"], 7; verbose=false)

wave_xyz = scan_xyz(scanner, [0u"mm", 10u"mm"], 3, [20u"mm", 30u"mm"], 3, [40u"mm", 50u"mm"], 3; verbose=false)

wave_yz_descending_coords = scan_yz(scanner, [30u"mm", 20u"mm"], 5, [50u"mm", 40u"mm"], 7; verbose=false)
wave_xyz_descending_coords = scan_xyz(scanner, [10u"mm", 0u"mm"], 3, [30u"mm", 20u"mm"], 3, [50u"mm", 40u"mm"], 3; verbose=false)

# metrics
metrics_x = compute_metrics(wave_x, params)
metrics_y = compute_metrics(wave_y, params)
metrics_z = compute_metrics(wave_z, params)

metrics_xy = compute_metrics(wave_xy, params)
metrics_xz = compute_metrics(wave_xz, params)
metrics_yz = compute_metrics(wave_yz, params)

metrics_xyz = compute_metrics(wave_xyz, params)

metrics_yz_descending_coords = compute_metrics(wave_yz_descending_coords, params)
mertrics_xyz_descending_coords = compute_metrics(wave_xyz_descending_coords, params)
