@testset "Scan" begin
    function stub_intensity_scan()
        scans = ["scan1d.jld2", "scan2d.jld2", "scan3d.jld2"]
        scans = joinpath.(@__DIR__, scans)
        return load(scans[1]), load(scans[2]), load(scans[3])
    end

    params = ScanParameters(
        medium = Medium(),
        excitation = Excitation(),
        f0 = 15e6,
        hydrophone_id = :Onda_HGL0200_2322,
        preamp_id = :Onda_AH2020_1238_20dB,
    )

    scan1d, scan2d, scan3d = stub_intensity_scan();

    data_1d = IntensityScans.ScanData(scan1d.version, scan1d.axes, scan1d.scope_info, scan1d.time, scan1d.waveform, scan1d.coordinates, scan1d.metrics)
    data_2d = IntensityScans.ScanData(scan2d.version, scan2d.axes, scan2d.scope_info, scan2d.time, scan2d.waveform, scan2d.coordinates, scan2d.metrics)
    data_3d = IntensityScans.ScanData(scan3d.version, scan3d.axes, scan3d.scope_info, scan3d.time, scan3d.waveform, scan3d.coordinates, scan3d.metrics)
    
    metrics1d = compute_metrics(data_1d, params)
    metrics2d = compute_metrics(data_2d, params)
    metrics3d = compute_metrics(data_3d, params)
end
