using Plots

@testset "Plotting" begin
    println("Plotting 1D data")
    plot(wave_z)
    plot(metrics_x)
    plot(metrics_y; isppa=true)
    plot(metrics_z; pnp=true, ppp=true, isppa=true, ispta=true)
    checkpoint_1d_reached = true
    @test checkpoint_1d_reached

    println("Plotting 2D data")
    plot(wave_yz)
    plot(metrics_xy)
    plot(metrics_xz; isppa=true)
    plot(metrics_yz; pnp=true, ppp=true, isppa=true, ispta=true, mi=true)
    checkpoint_2d_reached = true
    @test checkpoint_2d_reached

    println("Plotting 3D data")
    plot(wave_xyz)
    plot(metrics_xyz; xslice=0u"mm")
    plot(metrics_xyz; yslice=20u"mm")
    plot(metrics_xyz; zslice=40u"mm")
    checkpoint_3d_reached = true
    @test checkpoint_3d_reached

    println("Plotting 2D data with descending axis coordinates")
    plot(wave_yz_descending_coords)
    plot(metrics_yz_descending_coords; pnp=true, ppp=true, isppa=true, ispta=true, mi=true)
    checkpoint_2d_descending_coords_reached = true
    @test checkpoint_2d_descending_coords_reached

    println("Plotting 3D data with descending axis coordinates")
    plot(wave_xyz_descending_coords)
    plot(mertrics_xyz_descending_coords; xslice=0u"mm")
    plot(mertrics_xyz_descending_coords; yslice=20u"mm")
    plot(mertrics_xyz_descending_coords; zslice=40u"mm")
    checkpoint_3d_descending_coords_reached = true
    @test checkpoint_3d_descending_coords_reached
end
